<p-dialog [(visible)]="display" header="Titulo" [position]="utilitiesConfig.optionsDialog.position"
  [modal]="utilitiesConfig.optionsDialog.modal" [styleClass]="utilitiesConfig.optionsDialog.styleClass"
  [breakpoints]="utilitiesConfig.optionsDialog.breakpoints" [baseZIndex]="utilitiesConfig.optionsDialog.baseZIndex"
  [draggable]="utilitiesConfig.optionsDialog.draggable" [maximizable]="utilitiesConfig.optionsDialog.maximizable"
  [style]="utilitiesConfig.optionsDialog.style" [contentStyle]="utilitiesConfig.optionsDialog.contentStyle"
  (onHide)="goToPage()">
  <ng-template pTemplate="header">
    <span class="p-dialog-title">
      <em class="pi pi-pencil"></em>
      Colorear {{ titleHeader }}
    </span>
    <div class="ties">
      <span class="void">
        <span class="tie-knot"></span>
      </span>
      <span class="void">
        <span class="tie-knot"></span>
      </span>
    </div>
  </ng-template>

  <div class="content">
    <div class="load-svg-image" [innerHTML]="loadSvg" (click)="setColor($event)"></div>
  </div>

  <ng-template pTemplate="footer">
    <div class="flex justify-content-center">
      <div class="current-color">
        <div class="color" [ngStyle]="{ background: selectedColor['value'] }"></div>
        <span>{{ selectedColor['color'] }}</span>
      </div>
      <!-- <p-button icon="pi pi-save" label="Guardar"></p-button> -->
    </div>
  </ng-template>
</p-dialog>

<div class="color-palette-content p-col-12 sm:col-12 md:col-10 lg:col-9 xl:col-8" *ngIf="display">
  <div class="color-palette">
    <span class="color {{ color.value }}" *ngFor="let color of arrayColor" [ngStyle]="{ background: color.value }"
      [pTooltip]="color.color" tooltipPosition="top" tooltipStyle="color: red" (mouseover)="tooltipColor(color)"
      (click)="selectColor(color)"></span>
  </div>
</div>

<div class="open-sidebar" *ngIf="display" [ngClass]="{ active: sidebar }">
  <p-button type="text" [icon]="sidebarIcon" (click)="eventSidebar(1)"></p-button>
</div>

<p-sidebar [(visible)]="sidebar" styleClass="menu" position="right" [baseZIndex]="300000" (onHide)="eventSidebar(0)">
  <div class="item-fruta" (click)="loadSvgImage('mango')">
    <img src="assets/images/paint/mango.png" width="70">
    <label>Mango</label>
  </div>
  <div class="item-fruta" (click)="loadSvgImage('pera')">
    <img src="assets/images/paint/pera.png" width="70">
    <label>Pera</label>
  </div>
  <div class="item-fruta" (click)="loadSvgImage('zanahoria')">
    <img src="assets/images/paint/zanahoria.png" width="70">
    <label>Zanahoria</label>
  </div>
  <div class="item-fruta" (click)="loadSvgImage('zandia')">
    <img src="assets/images/paint/zandia.png" width="70">
    <label>Sandia</label>
  </div>
  <div class="item-fruta" (click)="loadSvgImage('pooh')">
    <img src="assets/images/paint/pooh.png" width="70">
    <label>POOH</label>
  </div>
  <div class="item-fruta" (click)="loadSvgImage('pocoyo')">
    <img src="assets/images/paint/pocoyo.png" width="70">
    <label>POCOYO</label>
  </div>
</p-sidebar>


<!-- no eliminar -->
<!-- <div
  class="guide-lines-cursor"
  [ngStyle]="{
    border: '1px dashed ' + selectedColor['value'],
    width: utilitiesConfig.posX + 'px',
    height: utilitiesConfig.posY + 'px'
  }"
></div> -->

<div class="custom-cursor" [ngStyle]="{
    transform:
      'translate3d(' +
      utilitiesConfig.posX +
      'px, ' +
      utilitiesConfig.posY +
      'px, 0) rotate(149deg)translate(-2px, -22px)'
  }">
  <div class="cursor brush">
    <div class="brocha" [ngStyle]="{ background: selectedColor['value'] }"></div>
  </div>
</div>